' COM GUID — GUID$, CLSID$, PROGID$
#COMPILE EXE
#DIM ALL

FUNCTION PBMAIN() AS LONG
    LOCAL sGuid  AS STRING
    LOCAL sClsid  AS STRING
    LOCAL sProgid  AS STRING
    sGuid  = GUID$
    PRINT "New GUID: " + sGuid
    sClsid = CLSID$("InternetExplorer.Application")
    PRINT "CLSID for IE: " + sClsid
    sProgid = PROGID$("Word.Application")
    PRINT "PROGID for Word: " + sProgid
    FUNCTION = 0
END FUNCTION
